/*インクルード***********************************************************/
#include "lpc13xx.h"
#include "gpio.h"
#include "vs-wrc103.h"
#include "ixbus.h"

/*マクロ***********************************************************/

/*グローバル変数***********************************************************/

/*
 * このサンプルはIXポートのシリアル通信端子で、外部シリアル通信機能搭載機器と通信をおこなうエコーバックサンプルです。
 * VS-BT001とも接続できますので、無線でPCなどと通信が可能です。
 *
 */

/*メイン関数***********************************************************/
int main (void)
{
	//制御周期の設定[単位：Hz　範囲：30.0~]
	const unsigned short MainCycle = 60;
	Init(MainCycle);		//CPUの初期設定

	//シリアル通信初期化
	InitSci3(CBR_115200,non,1);

	unsigned char data;
	//ループ
	while(1){
		Sync();
		LED(1);		//緑のLED点灯
		if(SciByteRx(&data) > 0){
			LED(2);		//オレンジのLED点灯
			SciByteTx(data);
		}
	}
}
